package com.example.greenwatch.mvc;

public class DeviceController {

    private DeviceModel deviceModel;
    private DeviceView deviceView;

    public DeviceController(DeviceView view) {
        this.deviceModel = DeviceModel.getInstance();
        this.deviceView = view;
    }

    public void createDevice(String Sensor, Boolean Status) {
        Device device = new Device(Sensor, Status);
        deviceModel.addDevice(device);
        // todo: Inform view and sender about changes
    }
    public void setDeviceSensor(String UUID, String Sensor) {
       deviceModel.setDeviceSensor(UUID, Sensor);
    }

    public String  getDeviceSensor(String UUID) {
        return deviceModel.getDeviceSensor(UUID);
    }

    public void setDeviceStatus(String UUID, Boolean Status) {
        deviceModel.setDeviceStatus(UUID, Status);
    }

    public Boolean getDeviceStatus(String UUID) {
        return deviceModel.getDeviceStatus(UUID);
    }
}
